<?php

/**
 * Plugin Name: GAL Sanitize Username
 * Plugin URI: http://wp-glogin.com/
 * Description: Use only firstname and lastname for usernames in WordPress
 * Version: 1.0
 * Author: Dan Lester
 * Author URI: http://wp-glogin.com/
 * License: GPL3
 * Network: true
 */
function my_gal_sanitize_username($username, $userinfo) {
  $parts = explode("@", $username);
  if (count($parts) == 2) {
     $username = $parts[0]; /* Just return the bit before the domain name */
                            /*- e.g. dan.lester@mycompany.com becomes dan.lester */
  }
  return $username;
}

add_filter('gal_sanitize_username', 'my_gal_sanitize_username', 10, 2);

